<!DOCTYPE html>
<html xmlns:th="https://www.thymeleaf.org">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>Kuwe.id</title>
    <link href="https://stackpath.bootstrapcdn.com/bootswatch/4.4.1/lumen/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-715VMUUaOfZR3/rWXZJ9agJ/udwSXGEigabzUbJm2NR4/v5wpDy8c14yedZN6NL7" crossorigin="anonymous">
    <link rel="stylesheet" th:href="@{/css/resultPage.css}"/>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
    <script th:src="@{/js/resultPage.js}"></script>
    <link rel="stylesheet" th:href="@{/css/nutritionLabel.css}"/>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <span class="circle-brand"></span>
    <a class="navbar-brand" th:href="@{'/'}">Kuwe</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor03"
            aria-controls="navbarColor03" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarColor03">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
            </li>
        </ul>
        <a class="nav-link my-4 my-sm-0" th:href="@{'/find-form'}">Cek Lokasi</a>
        <button class="btn btn-warning my-2 my-sm-0" id="tryAgain" th:onclick="nutritionValue()" name="button"
                type="button"><a th:href="@{'/create'}">Try-Again</a>
        </button>
    </div>
</nav>

<div class="container-fluid" style="margin-top: 5%">
    <div class="row mainRow align-items-center justify-content-around">
        <div class="kuwePic col-6 align-items-center d-flex flex-column justify-content-center">
            <div class="card squarebox" style="height: 500px;">
                <div class="row" style="justify-content: center; width: 100%; height:100%; margin: auto; align-items: center">
<!--                    <img th:src="@{/css/kuwe/cakedefault.png}" alt="kuwe" id="kuwe" style="width: 100%">-->
                    <p id="hasilkue" style="display: none" th:text="${result.getIngredients()}"></p>
                    <img id="cakePhoto" th:src="${result.getCakePhoto()}"></img>
                </div>
            </div>
            <div class="row reciRow justify-content-center align-items-start" style="margin-block-start: 50px; width: 100%;">
                <div class="card recipe align-items-center" id="recipePhoto">
                    <h4>Recipe Photo</h4>
                </div>
            </div>
        </div>
        <div class="kuweInfo col-6 justify-content-center">

            <div class="row justify-content-center nutritionValue" id="test5">
                <div itemscope="" itemtype="http://schema.org/NutritionInformation" class="nutritionLabel"
                     style=" width: 50%;">
                    <div class="title" tabindex="0">Nutrition Facts</div>
                    <div class="cf">
                        <div class="rel servingSizeField">
                            <div class="setter">
                                <a href="Increase the Quantity Arrow" class="unitQuantityUp"
                                   aria-label="Increase the Quantity Arrow" rel="nofollow" tabindex="0"></a>
                                <a href="Decrease the Quantity Arrow" class="unitQuantityDown"
                                   aria-label="Decrease the Quantity Arrow" rel="nofollow" tabindex="0"></a>
                            </div><!-- closing class="setter" -->

                            <input type="text" value="1" class="unitQuantityBox"
                                   aria-label="Change the Quantity Textbox">
                            <input type="hidden" value="1" id="nixLabelBeforeQuantity">
                        </div><!-- closing class="servingSizeField" -->

                        <div class="name inline" tabindex="0" id="cakeName">Cake</div>
                    </div><!-- closing class="cf" -->

                    <div class="bar1"></div>
                    <div class="addedPadding m" tabindex="0"><strong>Amount Per Serving</strong></div>
                    <div class="line">
                        <div class="fr" tabindex="0">Calories from Fat 430</div>
                        <div class="" tabindex="0"><strong>Calories</strong> <span id="calories"
                                                                                   itemprop="calories"></span></div>
                    </div>
                    <div class="bar2"></div>
                    <div class="addedPadding" tabindex="0">
                        <strong>Total Fat</strong> <span id="fatContent" itemprop="fatContent"><span
                            aria-hidden="true"></span><span class="sr-only"> grams</span></span></div>
                    <div class="line indent" tabindex="0">
                        Saturated Fat <span id="saturatedFatContent" itemprop="saturatedFatContent"><span
                            aria-hidden="true"></span><span class="sr-only"> grams</span></span></div>
                    <div class="line indent" tabindex="0"><em>Trans</em> Fat <span id="transFatContent"
                                                                                   itemprop="transFatContent"><span
                            aria-hidden="true"></span><span class="sr-only"> grams</span></span></div>
                    <div class="line" tabindex="0">
                        <strong>Cholesterol</strong> <span id="cholesterolContent" itemprop="cholesterolContent"><span
                            aria-hidden="true"></span><span class="sr-only"> milligrams</span></span></div>
                    <div class="line" tabindex="0">
                        <strong>Sodium</strong> <span id="sodiumContent" itemprop="sodiumContent"><span
                            aria-hidden="true"></span><span class="sr-only"> milligrams</span></span></div>
                    <div class="line" tabindex="0">
                        <strong>Total Carbohydrates</strong> <span id="carbohydrateContent"
                                                                   itemprop="carbohydrateContent"><span
                            aria-hidden="true"></span><span class="sr-only"> grams</span></span></div>
                    <div class="line indent" tabindex="0">
                        Dietary Fiber <span id="fiberContent" itemprop="fiberContent"><span
                            aria-hidden="true"></span><span class="sr-only"> grams</span></span></div>
                    <div class="line indent" tabindex="0">
                        Sugars <span id="sugarContent" itemprop="sugarContent"><span aria-hidden="true"></span><span
                            class="sr-only"> grams</span></span></div>
                    <div class="line" tabindex="0"><strong>Protein</strong> <span id="protein" itemprop="protein"><span
                            aria-hidden="true"></span><span class="sr-only"> grams</span></span></div>
                    <div class="bar1"></div>
                    <div class="dvCalorieDiet addedPadding">
                        <div class="calorieNote">
                            <div class="ingredientListDivHiddenDailyValues" tabindex="0">
                                <strong class="active" id="ingredientList">ITEM NAME:</strong>
                                <span id="item_name" itemprop="item_name">
                                        aria-hidden="true"></span>
                            </div><!-- closing class="ingredientListDiv" -->

                        </div><!-- closing class="calorieNote" -->

                    </div><!-- closing class="dvCalorieDiet line" -->

                    <div class="naTooltip">Data not available</div>
                </div><!-- closing class="nutritionLabel" -->
            </div>

            <div class="row reciRow justify-content-center align-items-start">
                <div class="card recipe align-items-center" id="recipeInfo" style="margin-bottom: 20px">
                    <h4>Recipe</h4>
                </div>
            </div>
        </div>
    </div>
</div>


<script>
    var cakePhoto = document.getElementById("cakePhoto");
    changeVal();

    function changeVal(){
        $('#kuwe').attr("src", cakePhoto);
    }
</script>
<script type="text/javascript" th:src="@{/js/jquery.js}"></script>
<script type="text/javascript" th:src="@{/js/resultPageNutrition.js}"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<!--<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>-->
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>

</body>
</html>
